Risk
Used to request a risk evaluation from Castle's API. The most obvious use of this is for login requests, where the API can indicate malicious and questionable circumstances. Read more in the Prevent Account Takeovers section. See the List of Recognized Events for supported events.
Request
https://api.castle.io/v1/risk Request body
context | object The context object contains information about the originating request, including IP address and HTTP headers. Note: This field can be skipped by setting |
headers | string or boolean or integer[][] The Headers object of the originating request.
For best results, it's recommended to forward all headers from the originating request. At minimum, the following headers should be forwarded: For AI agent identification, also forward |
ip | string The IPv4 or IPv6 address of the originating request. Must be a valid, public IP. Supports ipv4 and ipv6 |
properties | object User defined properties associated with this device |
product | object |
id | string If you have multiple products that your users can log into using the same credentials, populate this field so that you can segment the data in the dashboard by product. |
session | object Additional session information from your system |
id | string A unique session identifier from your system. You should hash the value before sending it to Castle |
created_at | string (date-time) Timestamp when the session was created |
created_at | string (date-time) The default value is the time of which the event was received by Castle. If you’re passing events in a delayed fashion, such as via an event queue, you should make sure to set this field to the time of which the event was tracked and put into the queue. |
request_token | string Token generated from a client. Check out our quick start guide
to generate a Note: This field can be skipped by setting |
user | object |
id | string A unique user identifier |
email | string The identified user's email address |
phone | string (E.164) The identified user's phone number E.164 formatted |
registered_at | string (date-time) The ISO8601 timestamp of the user's account creation |
name | string The full name of the user |
traits | object | null Known traits of the identified user |
address | object |
line1 | string | null |
line2 | string | null |
city | string | null Name of the city associated to this address. |
country_code | string | null ISO-3166 country code |
region_code | string | null ISO region code |
postal_code | string | null |
fingerprint | string | null |
skip_request_token_validation | booleanDefault: falseSkip Set to |
skip_context_validation | booleanDefault: falseSkip Set to |
expand | string[] Include additional properties into API response. This option is currently in beta and available only to select customers. |
type | stringDefault: $challengeCastle supported events available for this endpoint |
status | string $requested$succeeded$failed |
authentication_method | object |
type | string $authenticator$biometrics$document$electronic_id$email$kba$passkey$password$payment$phone$physical_id$pop$push$security_key$social$sso$video$other |
variant | string |
email | string (idn-email) Used when |
phone | string (E.164) Used when |
challenge | object Challenge object containing information about the event that triggered this challenge |
trigger_event | object The event that triggered this challenge |
One of | |
Option 1 | object Standard event type that triggered a challenge |
type | string Type of event that triggered the challenge $challenge$login$logout$password_reset_request$profile_reset$profile_update$registration$transaction |
status | string Status of the triggering event $attempted$succeeded$failed |
Option 2 | object Custom event that triggered a challenge |
type | string Type of event that triggered the challenge $custom |
status | string Status of the triggering event $attempted$succeeded$failed |
name | string Name of the custom event |
context | object The context object contains information about the originating request, including IP address and HTTP headers. Note: This field can be skipped by setting |
headers | string or boolean or integer[][] The Headers object of the originating request.
For best results, it's recommended to forward all headers from the originating request. At minimum, the following headers should be forwarded: For AI agent identification, also forward |
ip | string The IPv4 or IPv6 address of the originating request. Must be a valid, public IP. Supports ipv4 and ipv6 |
properties | object User defined properties associated with this device |
product | object |
id | string If you have multiple products that your users can log into using the same credentials, populate this field so that you can segment the data in the dashboard by product. |
session | object Additional session information from your system |
id | string A unique session identifier from your system. You should hash the value before sending it to Castle |
created_at | string (date-time) Timestamp when the session was created |
created_at | string (date-time) The default value is the time of which the event was received by Castle. If you’re passing events in a delayed fashion, such as via an event queue, you should make sure to set this field to the time of which the event was tracked and put into the queue. |
request_token | string Token generated from a client. Check out our quick start guide
to generate a Note: This field can be skipped by setting |
user | object |
id | string A unique user identifier |
email | string The identified user's email address |
phone | string (E.164) The identified user's phone number E.164 formatted |
registered_at | string (date-time) The ISO8601 timestamp of the user's account creation |
name | string The full name of the user |
traits | object | null Known traits of the identified user |
address | object |
line1 | string | null |
line2 | string | null |
city | string | null Name of the city associated to this address. |
country_code | string | null ISO-3166 country code |
region_code | string | null ISO region code |
postal_code | string | null |
fingerprint | string | null |
skip_request_token_validation | booleanDefault: falseSkip Set to |
skip_context_validation | booleanDefault: falseSkip Set to |
expand | string[] Include additional properties into API response. This option is currently in beta and available only to select customers. |
type | stringDefault: $registrationCastle supported events available for this endpoint |
status | stringDefault: $succeeded$succeeded |
authentication_method | object |
type | string $authenticator$biometrics$document$electronic_id$email$kba$passkey$password$payment$phone$physical_id$pop$push$security_key$social$sso$video$other |
variant | string |
email | string (idn-email) Used when |
phone | string (E.164) Used when |
context | object The context object contains information about the originating request, including IP address and HTTP headers. Note: This field can be skipped by setting |
headers | string or boolean or integer[][] The Headers object of the originating request.
For best results, it's recommended to forward all headers from the originating request. At minimum, the following headers should be forwarded: For AI agent identification, also forward |
ip | string The IPv4 or IPv6 address of the originating request. Must be a valid, public IP. Supports ipv4 and ipv6 |
properties | object User defined properties associated with this device |
product | object |
id | string If you have multiple products that your users can log into using the same credentials, populate this field so that you can segment the data in the dashboard by product. |
session | object Additional session information from your system |
id | string A unique session identifier from your system. You should hash the value before sending it to Castle |
created_at | string (date-time) Timestamp when the session was created |
created_at | string (date-time) The default value is the time of which the event was received by Castle. If you’re passing events in a delayed fashion, such as via an event queue, you should make sure to set this field to the time of which the event was tracked and put into the queue. |
request_token | string Token generated from a client. Check out our quick start guide
to generate a Note: This field can be skipped by setting |
user | object |
id | string A unique user identifier |
email | string The identified user's email address |
phone | string (E.164) The identified user's phone number E.164 formatted |
registered_at | string (date-time) The ISO8601 timestamp of the user's account creation |
name | string The full name of the user |
traits | object | null Known traits of the identified user |
address | object |
line1 | string | null |
line2 | string | null |
city | string | null Name of the city associated to this address. |
country_code | string | null ISO-3166 country code |
region_code | string | null ISO region code |
postal_code | string | null |
fingerprint | string | null |
skip_request_token_validation | booleanDefault: falseSkip Set to |
skip_context_validation | booleanDefault: falseSkip Set to |
expand | string[] Include additional properties into API response. This option is currently in beta and available only to select customers. |
type | stringDefault: $loginCastle supported events available for this endpoint |
status | stringDefault: $succeeded$succeeded |
authentication_method | object |
type | string $authenticator$biometrics$document$electronic_id$email$kba$passkey$password$payment$phone$physical_id$pop$push$security_key$social$sso$video$other |
variant | string |
email | string (idn-email) Used when |
phone | string (E.164) Used when |
context | object The context object contains information about the originating request, including IP address and HTTP headers. Note: This field can be skipped by setting |
headers | string or boolean or integer[][] The Headers object of the originating request.
For best results, it's recommended to forward all headers from the originating request. At minimum, the following headers should be forwarded: For AI agent identification, also forward |
ip | string The IPv4 or IPv6 address of the originating request. Must be a valid, public IP. Supports ipv4 and ipv6 |
properties | object User defined properties associated with this device |
product | object |
id | string If you have multiple products that your users can log into using the same credentials, populate this field so that you can segment the data in the dashboard by product. |
session | object Additional session information from your system |
id | string A unique session identifier from your system. You should hash the value before sending it to Castle |
created_at | string (date-time) Timestamp when the session was created |
created_at | string (date-time) The default value is the time of which the event was received by Castle. If you’re passing events in a delayed fashion, such as via an event queue, you should make sure to set this field to the time of which the event was tracked and put into the queue. |
request_token | string Token generated from a client. Check out our quick start guide
to generate a Note: This field can be skipped by setting |
user | object |
id | string A unique user identifier |
email | string The identified user's email address |
phone | string (E.164) The identified user's phone number E.164 formatted |
registered_at | string (date-time) The ISO8601 timestamp of the user's account creation |
name | string The full name of the user |
traits | object | null Known traits of the identified user |
address | object |
line1 | string | null |
line2 | string | null |
city | string | null Name of the city associated to this address. |
country_code | string | null ISO-3166 country code |
region_code | string | null ISO region code |
postal_code | string | null |
fingerprint | string | null |
skip_request_token_validation | booleanDefault: falseSkip Set to |
skip_context_validation | booleanDefault: falseSkip Set to |
expand | string[] Include additional properties into API response. This option is currently in beta and available only to select customers. |
type | stringDefault: $profile_updateCastle supported events available for this endpoint |
status | stringDefault: $succeeded$attempted$succeeded$failed |
changeset | object An object containing information about attributes that changed due to the event. You can send either anonymous attributes (eg. to track password changes) or full attributes (eg. email changes). To simplify your implementation, Castle automatically tracks changes to name, email, and phone, however, if you have the |
password | object Information that the attribute changed along with the changed values. Examples: |
changed | boolean true |
email | object Email address change. You can also inform Castle that the email changed without sending the values explicitly: |
One of | |
Option 1 | object Information that the attribute changed along with the changed values. Examples: |
changed | boolean true |
Option 2 | object |
from | string Attribute value before the event. |
to | string | null Attribute value after the event. |
phone | object Phone number change. You can also inform Castle that the phone changed without sending the values explicitly: |
One of | |
Option 1 | object Information that the attribute changed along with the changed values. Examples: |
changed | boolean true |
Option 2 | object |
from | string | null Attribute value before the event. |
to | string | null Attribute value after the event. |
authentication_method.type | object |
One of | |
Option 1 | object Information that the attribute changed along with the changed values. Examples: |
changed | boolean true |
Option 2 | object Change to MFA method. Both from and to can be null. |
from | string $authenticator$biometrics$document$electronic_id$email$kba$passkey$password$payment$phone$physical_id$pop$push$security_key$social$sso$video$other |
to | string $authenticator$biometrics$document$electronic_id$email$kba$passkey$password$payment$phone$physical_id$pop$push$security_key$social$sso$video$other |
name | object |
One of | |
Option 1 | object Information that the attribute changed along with the changed values. Examples: |
changed | boolean true |
Option 2 | object Information that the attribute changed along with the changed values. Examples: |
from | string | null Attribute value before the event |
to | string | null Attribute value after the event |
context | object The context object contains information about the originating request, including IP address and HTTP headers. Note: This field can be skipped by setting |
headers | string or boolean or integer[][] The Headers object of the originating request.
For best results, it's recommended to forward all headers from the originating request. At minimum, the following headers should be forwarded: For AI agent identification, also forward |
ip | string The IPv4 or IPv6 address of the originating request. Must be a valid, public IP. Supports ipv4 and ipv6 |
properties | object User defined properties associated with this device |
product | object |
id | string If you have multiple products that your users can log into using the same credentials, populate this field so that you can segment the data in the dashboard by product. |
session | object Additional session information from your system |
id | string A unique session identifier from your system. You should hash the value before sending it to Castle |
created_at | string (date-time) Timestamp when the session was created |
created_at | string (date-time) The default value is the time of which the event was received by Castle. If you’re passing events in a delayed fashion, such as via an event queue, you should make sure to set this field to the time of which the event was tracked and put into the queue. |
request_token | string Token generated from a client. Check out our quick start guide
to generate a Note: This field can be skipped by setting |
user | object |
id | string A unique user identifier |
email | string The identified user's email address |
phone | string (E.164) The identified user's phone number E.164 formatted |
registered_at | string (date-time) The ISO8601 timestamp of the user's account creation |
name | string The full name of the user |
traits | object | null Known traits of the identified user |
address | object |
line1 | string | null |
line2 | string | null |
city | string | null Name of the city associated to this address. |
country_code | string | null ISO-3166 country code |
region_code | string | null ISO region code |
postal_code | string | null |
fingerprint | string | null |
skip_request_token_validation | booleanDefault: falseSkip Set to |
skip_context_validation | booleanDefault: falseSkip Set to |
expand | string[] Include additional properties into API response. This option is currently in beta and available only to select customers. |
type | stringDefault: $profile_resetCastle supported events available for this endpoint |
status | stringDefault: $succeeded$attempted$succeeded$failed |
changeset | object An object containing information about attributes that changed due to the event. You can send either anonymous attributes (eg. to track password changes) or full attributes (eg. email changes). To simplify your implementation, Castle automatically tracks changes to name, email, and phone, however, if you have the |
password | object Information that the attribute changed along with the changed values. Examples: |
changed | boolean true |
email | object Email address change. You can also inform Castle that the email changed without sending the values explicitly: |
One of | |
Option 1 | object Information that the attribute changed along with the changed values. Examples: |
changed | boolean true |
Option 2 | object |
from | string Attribute value before the event. |
to | string | null Attribute value after the event. |
phone | object Phone number change. You can also inform Castle that the phone changed without sending the values explicitly: |
One of | |
Option 1 | object Information that the attribute changed along with the changed values. Examples: |
changed | boolean true |
Option 2 | object |
from | string | null Attribute value before the event. |
to | string | null Attribute value after the event. |
authentication_method.type | object |
One of | |
Option 1 | object Information that the attribute changed along with the changed values. Examples: |
changed | boolean true |
Option 2 | object Change to MFA method. Both from and to can be null. |
from | string $authenticator$biometrics$document$electronic_id$email$kba$passkey$password$payment$phone$physical_id$pop$push$security_key$social$sso$video$other |
to | string $authenticator$biometrics$document$electronic_id$email$kba$passkey$password$payment$phone$physical_id$pop$push$security_key$social$sso$video$other |
name | object |
One of | |
Option 1 | object Information that the attribute changed along with the changed values. Examples: |
changed | boolean true |
Option 2 | object Information that the attribute changed along with the changed values. Examples: |
from | string | null Attribute value before the event |
to | string | null Attribute value after the event |
context | object The context object contains information about the originating request, including IP address and HTTP headers. Note: This field can be skipped by setting | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
headers | string or boolean or integer[][] The Headers object of the originating request.
For best results, it's recommended to forward all headers from the originating request. At minimum, the following headers should be forwarded: For AI agent identification, also forward | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
ip | string The IPv4 or IPv6 address of the originating request. Must be a valid, public IP. Supports ipv4 and ipv6 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
properties | object User defined properties associated with this device | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
product | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
id | string If you have multiple products that your users can log into using the same credentials, populate this field so that you can segment the data in the dashboard by product. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
session | object Additional session information from your system | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
id | string A unique session identifier from your system. You should hash the value before sending it to Castle | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
created_at | string (date-time) Timestamp when the session was created | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
created_at | string (date-time) The default value is the time of which the event was received by Castle. If you’re passing events in a delayed fashion, such as via an event queue, you should make sure to set this field to the time of which the event was tracked and put into the queue. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
request_token | string Token generated from a client. Check out our quick start guide
to generate a Note: This field can be skipped by setting | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
user | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
id | string A unique user identifier | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
email | string The identified user's email address | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
phone | string (E.164) The identified user's phone number E.164 formatted | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
registered_at | string (date-time) The ISO8601 timestamp of the user's account creation | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
name | string The full name of the user | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
traits | object | null Known traits of the identified user | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
address | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
line1 | string | null | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
line2 | string | null | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
city | string | null Name of the city associated to this address. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
country_code | string | null ISO-3166 country code | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
region_code | string | null ISO region code | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
postal_code | string | null | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
fingerprint | string | null | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
skip_request_token_validation | booleanDefault: falseSkip Set to | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
skip_context_validation | booleanDefault: falseSkip Set to | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
expand | string[] Include additional properties into API response. This option is currently in beta and available only to select customers. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
type | stringDefault: $transactionCastle supported events available for this endpoint | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
status | stringDefault: $succeeded$attempted$succeeded$failed | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
transaction | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
type | string $purchase$withdrawal$deposit$transfer$reward$sale | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
id | string Unique identifier for this transaction. Use this to link the flow of your transactions with different events and types | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
base_amount | string Monetary amount of the transaction in your system's home currency, with two decimals | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
amount | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
One of | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Option 1 | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
type | string $fiat | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
value | string Monetary amount of transaction with decimals | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
currency | string ISO Currency denomination, required when value is provided
AEDALLAMDANGAOAARSAUDAWGAZNBAMBBDBDTBGNBHDBMDBNDBOBBRLBSDBWPBYNBZDCADCHFCLPCNYCOPCRCCUPCVECZKDJFDKKDOPDZDEGPETBEURFJDFKPGBPGELGHSGIPGMDGNFGTQGYDHKDHNLHRKHTGHUFIDRILSINRIQDISKJMDJODJPYKESKGSKHRKMFKRWKWDKYDKZTLAKLBPLKRLYDMADMDLMKDMMKMNTMOPMRUMURMVRMWKMXNMYRMZNNADNGNNIONOKNPRNZDOMRPABPENPGKPHPPKRPLNPYGQARRONRSDRUBRWFSARSBDSCRSEKSGDSHPSLLSOSSRDSTNSVCSZLTHBTNDTOPTRYTTDTWDTZSUAHUGXUSDUYUUZSVEFVNDVUVWSTXAFXCDXOFXPFYERZARZMW | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Option 2 | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
type | string $crypto | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
value | string Monetary amount of transaction with decimals | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
currency | string Digital currency code, required when value is provided | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
payment_method | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
type | string $aba$ach$amazon_pay$android_pay$apple_pay$blinc$boleto$card$crypto_wallet$fps$google_pay$other$paypal$samsung_pay$sen$sepa$signet$wire | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
fingerprint | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
holder_name | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
bank_name | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
country_code | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
billing_address | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
card | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
bin | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
last4 | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
exp_month | integer | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
exp_year | integer | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
network | string $amex$cartes_bancaires$diners$discover$interac$jcb$mastercard$other$unionpay$visa | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
funding | string $credit$debit$other$prepaid | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
shipping_address | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
merchant | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
id | string Merchant Identifier | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
name | string Merchant Name | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
category | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
code | string Merchant Category Code (MCC) in ISO 18245 four-digit format | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
description | string Merchant Category Description | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
address | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
context | object The context object contains information about the originating request, including IP address and HTTP headers. Note: This field can be skipped by setting |
headers | string or boolean or integer[][] The Headers object of the originating request.
For best results, it's recommended to forward all headers from the originating request. At minimum, the following headers should be forwarded: For AI agent identification, also forward |
ip | string The IPv4 or IPv6 address of the originating request. Must be a valid, public IP. Supports ipv4 and ipv6 |
properties | object User defined properties associated with this device |
product | object |
id | string If you have multiple products that your users can log into using the same credentials, populate this field so that you can segment the data in the dashboard by product. |
session | object Additional session information from your system |
id | string A unique session identifier from your system. You should hash the value before sending it to Castle |
created_at | string (date-time) Timestamp when the session was created |
created_at | string (date-time) The default value is the time of which the event was received by Castle. If you’re passing events in a delayed fashion, such as via an event queue, you should make sure to set this field to the time of which the event was tracked and put into the queue. |
request_token | string Token generated from a client. Check out our quick start guide
to generate a Note: This field can be skipped by setting |
user | object |
id | string A unique user identifier |
email | string The identified user's email address |
phone | string (E.164) The identified user's phone number E.164 formatted |
registered_at | string (date-time) The ISO8601 timestamp of the user's account creation |
name | string The full name of the user |
traits | object | null Known traits of the identified user |
address | object |
line1 | string | null |
line2 | string | null |
city | string | null Name of the city associated to this address. |
country_code | string | null ISO-3166 country code |
region_code | string | null ISO region code |
postal_code | string | null |
fingerprint | string | null |
skip_request_token_validation | booleanDefault: falseSkip Set to |
skip_context_validation | booleanDefault: falseSkip Set to |
expand | string[] Include additional properties into API response. This option is currently in beta and available only to select customers. |
type | stringDefault: $logoutCastle supported events available for this endpoint |
status | stringDefault: $succeeded$succeeded |
context | object The context object contains information about the originating request, including IP address and HTTP headers. Note: This field can be skipped by setting |
headers | string or boolean or integer[][] The Headers object of the originating request.
For best results, it's recommended to forward all headers from the originating request. At minimum, the following headers should be forwarded: For AI agent identification, also forward |
ip | string The IPv4 or IPv6 address of the originating request. Must be a valid, public IP. Supports ipv4 and ipv6 |
properties | object User defined properties associated with this device |
product | object |
id | string If you have multiple products that your users can log into using the same credentials, populate this field so that you can segment the data in the dashboard by product. |
session | object Additional session information from your system |
id | string A unique session identifier from your system. You should hash the value before sending it to Castle |
created_at | string (date-time) Timestamp when the session was created |
created_at | string (date-time) The default value is the time of which the event was received by Castle. If you’re passing events in a delayed fashion, such as via an event queue, you should make sure to set this field to the time of which the event was tracked and put into the queue. |
request_token | string Token generated from a client. Check out our quick start guide
to generate a Note: This field can be skipped by setting |
user | object |
id | string A unique user identifier |
email | string The identified user's email address |
phone | string (E.164) The identified user's phone number E.164 formatted |
registered_at | string (date-time) The ISO8601 timestamp of the user's account creation |
name | string The full name of the user |
traits | object | null Known traits of the identified user |
address | object |
line1 | string | null |
line2 | string | null |
city | string | null Name of the city associated to this address. |
country_code | string | null ISO-3166 country code |
region_code | string | null ISO region code |
postal_code | string | null |
fingerprint | string | null |
skip_request_token_validation | booleanDefault: falseSkip Set to |
skip_context_validation | booleanDefault: falseSkip Set to |
expand | string[] Include additional properties into API response. This option is currently in beta and available only to select customers. |
type | stringDefault: $customCastle supported events available for this endpoint |
name | string Your custom name of the event. |
status | string | null $attempted$succeeded$failed |
Response
201 | object Castle Event Context | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
401 | No body You are missing the Authorization header, or the API secret is missing or incorrect. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
403 | No body The request is rejected because the service is not enabled for this account. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
422 | object The request body is unprocessable by the API. Make sure it conforms to the specified format for the endpoint. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
429 | No body You performed too many requests. You should back off and retry using the exponential backoff algorithm. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
500 | No body There’s an issue on our end. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||